Get Order Label Identifiers
POST /api/marketplace/v3/dbw/orders/meta/detailsBase URL: https://marketplace-api.wildberries.ru · Module: orders-dbw · Section: DBW Label Identifiers · Specification doc ↗
Returns assembly orders label identifiers and their validation statuses.
The list of label identifiers available for the assembly order can be obtained in the list of new assembly orders, field requiredMeta. If the requiredMeta field does not contain the label identifier, it means that this label identifier cannot be added to this assembly order. Possible label identifiers:
imei— IMEIuin— UINgtin— GTINsgtin— labeling code Chestny ZNAK
Request limit per one seller account for DBW methods:
- for getting and updating contact lists
- for getting and deleting label identifiers
- assembly orders
| Period | Limit | Interval | Burst |
|---|---|---|---|
| 1 min | 300 requests | 200 ms | 20 requests |
One request with 4XX response codes is counted as 10 requests |
Request body
application/json — schema api.OrdersRequestV2, required
ordersIdsinteger<int64>[](required) — List of assembly order IDs
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | api.OrdersMetaDetailsResponse |
400 | Bad request | api.BatchError |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | api.BatchError |
429 | Too many requests | object |
Structure 200:
requestIdstring— Unique request IDordersobject[]— Assembly orders label identifiers and validation statusesorderIdinteger<int64>— Assembly order IDisErrorboolean— Are there any errorserrorsobject[]— Error datacodeinteger<int64>— Error codedetailstring— Additional error data
metaDetailsobject[]— Label identifiers and their validation statuseskeystring— Label identifiervaluestring— Label identifier valuedecisionstring— State: -imei-pending— Label identifier for inspection -optional— Label identifier is not required -filled— Validation passed -deadlineExceeded— Validation passed -imeiMaySell— The item is approved for sale. Validation passed -imeiSoldB2B— The item was sold to a B2B buyer and allowed to be sold again. Validation passed -required— Required label identifier is not filled. Validation failed -imeiInvalidFormat— Invalid format. Validation failed -imeiAlreadySold— The item with this IMEI has already been sold. Validation failed -uin-filled— Validation passed -optional— Label identifier is not required -sgtin-pending— Label identifier for inspection -optional— Label identifier is not required -filled— Validation passed -deadlineExceeded— Validation passed -sgtinIntroduced— The item is approved for sale. Validation passed -sgtinSoldB2B— The item was sold to a B2B buyer and allowed to be sold again. Validation passed -required— Required label identifier is not filled. Validation failed -sgtinInvalidFormat— Invalid format. Validation failed -sgtinNotFound— Label identifier not found in Chestny ZNAK. Validation failed -sgtinEmitted— Label identifier has been issued. Validation failed -sgtinApplied— Putting into circulation not completed. Validation failed -sgtinWrittenOff— Written off. Validation failed -sgtinRetired— Retired. Validation failed -sgtinWithdrawn— Withdrawn. Validation failed -sgtinDisaggregation— Disaggregation. Validation failed -sgtinDisaggregated— Disaggregated. Validation failed -sgtinAppliedNotPaid— Not paid. Validation failed -gtin-optional— Label identifier is not required -filled— Validation passed -customsDeclaration-optional— Label identifier is not required -filled— Validation passed
Structure 400:
detailstring— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
detailstring— Error detailsoriginstring— WB internal service IDrequestIdstring— Unique request IDtitlestring— Error title
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
from wb_api_client.orders_dbw import Configuration, ApiClient
from wb_api_client.orders_dbw.api import OrdersDbwApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersDbwApi(ApiClient(cfg))
result = api.post_v3_dbw_orders_meta_details(api_orders_request_v2=...)
print(result)import {
Configuration,
OrdersDbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-dbw";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersDbwApi(cfg);
const { data } = await api.postV3DbwOrdersMetaDetails(apiOrdersRequestV2);
console.log(data);import (
"context"
"fmt"
wbordersdbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_dbw"
)
cfg := wbordersdbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersdbw.NewAPIClient(cfg)
result, _, err := client.OrdersDbwAPI.PostV3DbwOrdersMetaDetails(context.Background()).ApiOrdersRequestV2(apiOrdersRequestV2).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)import io.github.valeryverkhoturov.wbapi.orders_dbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_dbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_dbw.api.OrdersDbwApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersDbwApi api = new OrdersDbwApi(client);
System.out.println(api.postV3DbwOrdersMetaDetails(apiOrdersRequestV2));use ValeryVerkhoturov\WbApiClient\OrdersDbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersDbw\Api\OrdersDbwApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersDbwApi(new Client(), $config);
print_r($api->postV3DbwOrdersMetaDetails($api_orders_request_v2));#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersDbwApi(Настройки);
Сообщить(Клиент.PostV3DbwOrdersMetaDetails(Тело).Тело);using ValeryVerkhoturov.WbApiClient.OrdersDbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersDbw.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersDbwApi(config);
Console.WriteLine(api.PostV3DbwOrdersMetaDetails(apiOrdersRequestV2));use wb_api_client::orders_dbw::apis::{configuration::Configuration, orders_dbw_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_dbw_api::post_v3_dbw_orders_meta_details(&cfg, api_period_orders_request_v2).await;
println!("{:#?}", result);
}